org.cybergarage.upnp

## Class ServiceStateTable

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<StateVariable>
      - - org.cybergarage.upnp.ServiceStateTable

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<StateVariable>, Collection<StateVariable>, List<StateVariable>, RandomAccess

      public class ServiceStateTable
      extends Vector<StateVariable>

  A collection of UPnP service state variables.

  This class extends Vector to manage multiple StateVariable objects that represent the state variables of UPnP services. It provides type-safe collection management for service state tracking and event notification.

  Key features:

  - Type-safe state variable collection
  - XML element name constant
  - Vector-based implementation for efficiency
  - Service state management
  - Event notification integration

  This class is used by UPnP services to maintain collections of state variables, enabling organized state management and event notification for service monitoring and control applications.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ELEM_NAME`

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceStateTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateVariable` | `getStateVariable(int n)`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Field Detail

    - #### ELEM_NAME

          public static final String ELEM_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServiceStateTable

          public ServiceStateTable()

  - ### Method Detail

    - #### getStateVariable

          public StateVariable getStateVariable(int n)